Skip to content

Records

All operations require authentication.

6 operationsv1/domain/zone
Agent setup

List recordsProduction

GET
/1.0/domain/zone/{zoneName}/record

Returns the identifiers of the zone records. Can be filtered by subdomain and record type.

Path parameters

zoneName
required
string

Zone name

Query parameters

fieldType
RecordTypeEnum

Filter the value of fieldType property (like)

ValuesAAAAACAACNAMEDKIMDMARCDNAMEHTTPSLOCMXNAPTRNSPTRRPSPFSRVSSHFPSVCBTLSATXT
subDomain
string

Filter the value of subDomain property (ilike)

Response

200integer[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/record \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a recordProduction

GET
/1.0/domain/zone/{zoneName}/record/{id}

Returns a record: type, subdomain, target and TTL.

Path parameters

id
required
integer

Id

zoneName
required
string

Zone name

Response

200Recordsuccessful operation
fieldType
read-only
RecordTypeEnum

Resource record name

ValuesAAAAACAACNAMEDKIMDMARCDNAMEHTTPSLOCMXNAPTRNSPTRRPSPFSRVSSHFPSVCBTLSATXT
id
read-only
integer

Id of the record

subDomain
read-only
string

Record subDomain

target
read-only
string

Target of the record

ttl
read-only
integer

TTL of the record

zone
read-only
string

Resource record zone

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "fieldType": "A", "id": 0, "subDomain": "string", "target": "string", "ttl": 0, "zone": "string"}

Create a recordProduction

POST
/1.0/domain/zone/{zoneName}/record

Creates a record in the zone. The change applies after the zone is refreshed.

Path parameters

zoneName
required
string

Zone name

Request body (required)

fieldType
required
RecordTypeEnum

Resource record name

ValuesAAAAACAACNAMEDKIMDMARCDNAMEHTTPSLOCMXNAPTRNSPTRRPSPFSRVSSHFPSVCBTLSATXT
id
read-only
integer

Id of the record

subDomain
string

Record subDomain

target
required
string

Target of the record

ttl
integer

TTL of the record

zone
read-only
string

Resource record zone

Response

200Recordsuccessful operation
fieldType
read-only
RecordTypeEnum

Resource record name

ValuesAAAAACAACNAMEDKIMDMARCDNAMEHTTPSLOCMXNAPTRNSPTRRPSPFSRVSSHFPSVCBTLSATXT
id
read-only
integer

Id of the record

subDomain
read-only
string

Record subDomain

target
read-only
string

Target of the record

ttl
read-only
integer

TTL of the record

zone
read-only
string

Resource record zone

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/record \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "fieldType": "A", "id": 0, "subDomain": "string", "target": "string", "ttl": 0, "zone": "string"}

Update a recordProduction

PUT
/1.0/domain/zone/{zoneName}/record/{id}

Updates the subdomain, target and TTL of a record. The change applies after the zone is refreshed.

Path parameters

id
required
integer

Id

zoneName
required
string

Zone name

Request body (required)

subDomain
string

Record subdomain

target
string

Target of the record

ttl
integer

TTL of the record

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a recordProduction

DELETE
/1.0/domain/zone/{zoneName}/record/{id}

Deletes a record from the zone. The change applies after the zone is refreshed.

Path parameters

id
required
integer

Id

zoneName
required
string

Zone name

Response

200—successful operation

Example uses id = 0, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/record/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Refresh the zoneProduction

POST
/1.0/domain/zone/{zoneName}/refresh

Applies the pending record changes to the zone.

Path parameters

zoneName
required
string

Zone name

Response

200—successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/refresh \
  -H "authorization: Bearer $OVH_TOKEN"